> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationresource.md).

# New-RASNotificationResource.md

## NAME

New-RASNotificationResource

## SYNOPSIS

Creates new resource notification.

## SYNTAX

\*\*New-RASNotificationResource \[-[Type](#Type)] {CPUEvent | MemoryEvent | RDSHConnectedSessionEvent | ConnectedSessionEvent | RDSHDisconnectedSessionEvent | DisconnectSessionEvent | RDSHConnectedSessionEventPerc | RDSHConnectSessionEvent | RDSHDisconnectedSessionEventPerc | RDSHDisconnectSessionEvent | TunneledSess} \[[AllServers](#allservers-string) *(bool)*] \[-[Direction](#Direction) {RisesAbove | LowersBelow}] \[[EnableGracePeriod](#enablegraceperiod-string) *(bool)*] \[[EnableInterval](#enableinterval-string) *(SwitchParameter)*] \[[ExecuteScript](#executescript-string) *(SwitchParameter)*] \[[GracePeriod](#graceperiod-string) *(uint)*] \[[Interval](#interval-string) *(uint)*] \[-[Recipients](#Recipients) *(string\[])*] \[[ScriptId](#scriptid-string) *(uint)*] \[-[ScriptObject](#ScriptObject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)*)*] \[[SendEmail](#sendemail-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[-[TargetIds](#TargetIds) *(List\`1)*] \[-[TargetType](#TargetType) {AllServers | RDSHostPools | RDSHGroups | VDIHostPools | VDIPools | AVDHostPools | RemotePCs | SecureGateways | Gateways | Brokers | PublishingAgents | EnrollmentServers | ForceAllAgents}] \[[Threshold](#threshold-string) *(uint)*] \[[WaitUntilRecovered](#waituntilrecovered-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates a resource notification, such as high/low RAM/CPU usage etc.

## PARAMETERS

## Type

([RASNotificationResourceType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasnotificationresourcetype.md)) Resource notification type.

Possible values: CPUEvent, MemoryEvent, RDSHConnectedSessionEvent, ConnectedSessionEvent, RDSHDisconnectedSessionEvent, DisconnectSessionEvent, RDSHConnectedSessionEventPerc, RDSHConnectSessionEvent, RDSHDisconnectedSessionEventPerc, RDSHDisconnectSessionEvent, TunneledSess

```
        Required?                    true

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Threshold (uint)

Tolerance value which triggers notification.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Direction

([ThresholdDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/thresholddirection.md)) Threshold direction.

Possible values: RisesAbove, LowersBelow

```
        Required?                    false

        Position?                    named

        Default value                RisesAbove

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID where notification event is setup.

Current site ID is used if siteId is omitted.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GracePeriod (uint)

Grace period after the notification was done (minutes).

```
        Required?                    false

        Position?                    named

        Default value                5

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableGracePeriod (bool)

Enable/Disable grace period.

```
        Required?                    false

        Position?                    named

        Default value                True

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Recipients (string\[])

Recipients to notify of the event.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendEmail (bool)

Enable/Disable email notification.

```
        Required?                    false

        Position?                    named

        Default value                True

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptId (uint)

Script to execute which has this ID.

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptObject

([NotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)) Script Object.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExecuteScript (SwitchParameter)

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Interval (uint)

Invocation interval (minutes).

```
        Required?                    false

        Position?                    named

        Default value                10

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableInterval (SwitchParameter)

Enable/Disable notification intervals.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## WaitUntilRecovered (SwitchParameter)

Wait until recovered.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllServers (bool)

All servers in site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetType ([TargetType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/targettype.md))

Target type.

Possible values: AllServers, RDSHostPools, RDSHGroups, VDIHostPools, VDIPools, AVDHostPools, RemotePCs, SecureGateways, Gateways, Brokers, PublishingAgents, EnrollmentServers, ForceAllAgents

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetIds (List\`1)

Target Ids.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[NotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationresource.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASNotificationResource -Type ConnectedSessionEvent -Threshold 22

Creates new resouce notification which notifies if the number of session exceeds 22.

## RELATED LINKS

* [Get-RASNotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasnotificationresource.md)
* [Set-RASNotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasnotificationresource.md)
* [Remove-RASNotificationResource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasnotificationresource.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationresource.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
